> For the complete documentation index, see [llms.txt](https://docs.cspr.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cspr.cloud/rest-api/delegator-reward/get-purse-uref-delegation-rewards.md).

# Get purse delegation rewards

Get a paginated list of delegator rewards for a purse by its URef

```
GET /purse-urefs/{uref}/delegation-rewards
```

## Query params

| Query param            | Description                                                        |
| ---------------------- | ------------------------------------------------------------------ |
| `validator_public_key` | The public key of the validator to whom the stakes were delegated. |
| `from_era_id`          | From era id range                                                  |
| `to_era_id`            | To era id range                                                    |

## Sorting

| Property | Description                              |
| -------- | ---------------------------------------- |
| `era_id` | Sort validator rewards by era identifier |

Default sorting is `era_id DESC`

## Optional properties

| Property                   | Type                                                              | Description                                                                                                                                                                    |
| -------------------------- | ----------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `rate`                     | `float32`                                                         | The rate that was relevant at the moment when the last block was proposed. To get more details see [Including CSPR rates](/documentation/highlights/including-cspr-rates.md) . |
| `account_info`             | [`AccountInfo`](/rest-api/account-info.md)                        | [Account info](https://github.com/make-software/casper-account-info-contract) provided by the account owner                                                                    |
| `centralized_account_info` | [`CentralizedAccountInfo`](/rest-api/centralized-account-info.md) | Account information available for known accounts provided by CSPR.cloud team                                                                                                   |
| `cspr_name`                | `string`                                                          | Primary CSPR.name of the account                                                                                                                                               |

## Response

[`PaginatedResponse`](/documentation/overview/pagination.md)[`<DelegatorReward>`](/rest-api/delegator-reward.md)

## Example

```bash
curl -X 'GET' \
   'https://api.testnet.cspr.cloud/purse-urefs/uref-2765FDC748EE7AB6F0CE1C13FD97E54EEB6403159602C07E2F950C565C07CFD0-007/delegation-rewards' \
   -H 'Accept: application/json' \
   -H 'Authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "item_count": 796,
  "page_count": 80,
  "data": [
    {
      "amount": "23367843",
      "delegator_identifier": "uref-2765fdc748ee7ab6f0ce1c13fd97e54eeb6403159602c07e2f950c565c07cfd0-007",
      "delegator_identifier_type_id": 1,
      "era_id": 17997,
      "timestamp": "2025-05-22T07:03:50Z",
      "validator_public_key": "01075ec8809c691a1d1b0250ba9ea75da5460e3df43c3172771c6975c989457159"
    },
    {
      "amount": "23367863",
      "delegator_identifier": "uref-2765fdc748ee7ab6f0ce1c13fd97e54eeb6403159602c07e2f950c565c07cfd0-007",
      "delegator_identifier_type_id": 1,
      "era_id": 17996,
      "timestamp": "2025-05-22T05:03:48Z",
      "validator_public_key": "01075ec8809c691a1d1b0250ba9ea75da5460e3df43c3172771c6975c989457159"
    },
    ...
    {
      "amount": "23368234",
      "delegator_identifier": "uref-2765fdc748ee7ab6f0ce1c13fd97e54eeb6403159602c07e2f950c565c07cfd0-007",
      "delegator_identifier_type_id": 1,
      "era_id": 17988,
      "timestamp": "2025-05-21T13:03:39Z",
      "validator_public_key": "01075ec8809c691a1d1b0250ba9ea75da5460e3df43c3172771c6975c989457159"
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.cloud/rest-api/delegator-reward/get-purse-uref-delegation-rewards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
